
local changexpformat				= false
local setbordertrue			= true
local wpetbarScale		    = 1

--[[-----------------------------------------------------------------------------

To disable an option set it to true/false.

Setting descriptions:

Changexpformat.
	Set to ture to have the xp text format Show as 100% from 0-2580.

Setbordertrue.
	Set to ture to have the border chamnge see photos.

wpetbarScale.
        Set scale to make smaller 0.9 and lower, to make bigger 1 and up. 1 is the defult size. 

Commands.
         use /wp for help.
        	/wp show - Display frame.")
		/wp hide - Hide frame.")

-------------------------------------------------------------------------------]]
local addonName = ...

x,y=UnitClass("player") if x=="Hunter" then
function wPetXPBar_OnDragStart()
        if IsShiftKeyDown() then wPetXPBar_Exp:StartMoving();
     end
end

function wPetXPBar_OnDragStop()
        wPetXPBar_Exp:StopMovingOrSizing();
end

function wPetXPBar_OnLoad(event)
	wPetXPBar_Exp:RegisterEvent("PLAYER_PET_CHANGED");
	wPetXPBar_Exp:RegisterEvent("UNIT_PET_EXPERIENCE");
	wPetXPBar_Exp:RegisterEvent("UNIT_PET");
	wPetXPBar_Exp:RegisterEvent("LOCALPLAYER_PET_RENAMED");
	wPetXPBar_Exp:RegisterEvent("VARIABLES_LOADED");
        wPetXPBar_Exp:RegisterEvent("UNIT_ENTERED_VEHICLE");
	wPetXPBar_Exp:RegisterForDrag("LeftButton");
	wPetXPBar_Exp:SetScript("OnMouseDown",function() wPetXPBar_OnDragStart() wPetXPBar_UpdateXP(event) end)
	wPetXPBar_Exp:SetScript("OnMouseUp",function() wPetXPBar_OnDragStop() end) 
	wPetXPBar_Exp:ClearAllPoints();
        wPetXPBar_Exp:SetPoint("TOPLEFT", PetFrame, "BOTTOM", -63, -16);
        wPetXPBar_Text:Show();
        wPetXPBar_Exp:SetWidth( 150 );
	wPetXPBar_Exp:SetHeight( 22 );
        wPetXPBar_Exp:EnableMouse(true)
        wPetXPBar_Exp:SetMovable(true)
        wPetXPBar_Exp:SetParent(UIParent);
	wPetXPBar_Status:SetHeight( 10 );
	wPetXPBar_Status:SetWidth( 138 );
	wPetXPBar_Text:SetWidth( 138 );
        wPetXPBar_Exp:SetScale(wpetbarScale);
      --SetStatusTexture
        wPetXPBar_Status:SetStatusBarTexture("Interface\\TargetingFrame\\UI-TargetingFrame-BarFill");
      --ChangeColor
	wPetXPBar_Status:SetStatusBarColor( 0.00, 0.75, 1.00, 75 );
	wPetXPBar_Exp:SetAlpha( 75 / 100 );
      --SetBorder
      if setbordertrue then
        wPetXPBar_Exp:SetBackdrop({bgFile = "Interface/Tooltips/UI-Tooltip-Background",edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
	        tile = true, tileSize = 16, edgeSize = 16,insets = { left = 5, right = 5, top = 5, bottom = 5 }})
            else
        wPetXPBar_Exp:SetBackdrop({bgFile="Interface\\CharacterFrame\\BarHighlight",edgeFile="Interface\\DialogFrame\\UI-DialogBox-Border",
	        tile = true, tileSize = 16, edgeSize = 16,insets = { left = 5, right = 5, top = 5, bottom = 5 }});
    end
end

function wPetXPBar_OnEvent(event)
        wPetXPBar_UpdateXP(event);
end

function wPetXPBar_UpdateXP(event)
      if UnitExists("pet") then
	petxp,petmaxxp = GetPetExperience();
	wPetXPBar_Status:SetMinMaxValues( min(0, petxp), petmaxxp);
      if UnitControllingVehicle("player") then 
        wPetXPBar_Exp:Hide(); 
      else
	wPetXPBar_Exp:Show(); wPetXPBar_Level:Show();
      end
      if ( UnitLevel("pet") == UnitLevel("player") ) then
	wPetXPBar_Status:SetValue(petmaxxp);
      else
	wPetXPBar_Status:SetValue(petxp);
      end
      if changexpformat then
	wPetXPBar_Text:SetText(floor( (petxp / petmaxxp) * 100) .. "%");
      else
        wPetXPBar_Text:SetText(format( "%s / %s", petxp, petmaxxp) );
      end
      else
      if ( wPetXPBar_Exp:IsVisible() ) then
	wPetXPBar_Exp:Hide(); wPetXPBar_Level:Hide();
	end
    end
end
    else
        function wPetXPBar_OnLoad()
    end
end

--[[-----------------------------------------------------------------------------
Slash command
-------------------------------------------------------------------------------]]
_G['SLASH_' .. addonName .. 1] = strlower("/wp")
SlashCmdList[addonName] = function(msg)
	msg = msg:lower()
	if msg == "show" then
	        wPetXPBar_Exp:Show();
	        wPetXPBar_Level:Show();
	elseif msg == "hide" then
	        wPetXPBar_Exp:Hide();
	        wPetXPBar_Level:Hide();
	else
		print("|cff3399ffw|rPetXPBar commands:")
		print("|cff1eff1e/wp show|r - Display frame.")
		print("|cff1eff1e/wp hide|r - Hide frame.")
	end
end

print("|cff3399ffw|rwPetXPBar has been loaded, use /wp for help.")